


rm(list=ls())
require('pracma')
require('pomp')

setwd("/Users/kevinbakker/Desktop/VZV_data_code")

##load MLE
MLE1 <- read.csv('MLE11.csv', header=TRUE) #you can also try out your results from the fitting - remove the loglik, seloglik, and seed number before running.

#add 2 new params to MLE - these were tested in other model iterations not included in the manuscript
param.sets1<-MLE1[1:50];
param.sets <- cbind(param.sets1, 0,0)
colnames(param.sets)[51] <- 'mult'
colnames(param.sets)[52] <- 'expony'

# compile c code
if (is.loaded("zoster_meas_dens")) dyn.unload("VZV_new.so")
system("R CMD SHLIB VZV_new.c")
dyn.load("VZV_new.so")

source('VZV_POsim_new.R')
modelnumber <- 2; # range for model 1-7
boosting <- 0;    # range for boost 0-1 (no/yes)
param.sets$model <- modelnumber;
param.sets$boost <- boosting;

time <- c(1:96)
simVZ <- NULL
simHZ <- NULL
current.set <- unlist(param.sets);

#2500 is the number of sims
  for(j in 1:2500){
    sim.test <- simulate(my.model1,param=current.set)
    simVZ <- cbind(simVZ, as.vector(sim.test@states[13,]))
    simHZ <- cbind(simHZ, as.vector(sim.test@states[14,]))
   }


#this leaves you with 2500 sims of the MLE for both chickenpox (VZ) and shingles (HZ).
